- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Member Functions | List of all members
libetonyek::KEY1Parser Class Reference

`#include <KEY1Parser.h>`

Inheritance diagram for libetonyek::KEY1Parser:

## Public Member Functions
| KEY1Parser (const RVNGInputStreamPtr_t &input, const RVNGInputStreamPtr_t &package, KEYCollector &collector)
virtual | ~KEY1Parser ()
Public Member Functions inherited from libetonyek::IWORKParser
| IWORKParser (const RVNGInputStreamPtr_t &input, const RVNGInputStreamPtr_t &package)
virtual | ~IWORKParser ()=0
bool | parse ()
RVNGInputStreamPtr_t & | getInput ()
RVNGInputStreamPtr_t | getInput () const
RVNGInputStreamPtr_t & | getPackage ()
RVNGInputStreamPtr_t | getPackage () const

## Private Member Functions
virtual IWORKXMLContextPtr_t | createDocumentContext ()
virtual IWORKXMLContextPtr_t | createDiscardContext ()
virtual const IWORKTokenizer & | getTokenizer () const

## Constructor & Destructor Documentation

libetonyek::KEY1Parser::KEY1Parser | ( | const RVNGInputStreamPtr_t & | input,
|  | const RVNGInputStreamPtr_t & | package,
|  | KEYCollector & | collector
| ) |  |

libetonyek::KEY1Parser::~KEY1Parser | ( |  | ) |
| virtual

## Member Function Documentation

IWORKXMLContextPtr_t libetonyek::KEY1Parser::createDiscardContext | ( |  | ) |
| private virtual

Implements libetonyek::IWORKParser.

IWORKXMLContextPtr_t libetonyek::KEY1Parser::createDocumentContext | ( |  | ) |
| private virtual

Implements libetonyek::IWORKParser.

const IWORKTokenizer & libetonyek::KEY1Parser::getTokenizer | ( |  | ) | const
| private virtual

Implements libetonyek::IWORKParser.

The documentation for this class was generated from the following files:

- KEY1Parser.h
- KEY1Parser.cpp